<script language="Javascript">

	function playerInfo( pid )
	{
		newWin = window.open('','newWin','width=640,height=480,resizable,scrollbars');
		document.playerForm.target = "newWin";
		document.playerForm.pid.value = pid;
		document.playerForm.submit();
		newWin.focus();
	}

</script>
<link href="mainstyle.css" rel="stylesheet" type="text/css">

<form name="playerForm" action="playerstats.php" method="post">
	<input type="hidden" value="" name="pid">
	<input type="hidden" value="stats" name="page">
</form>	
<?php

	require "guiFunctions.php";
	require "database.php";
	require "statsFunctions.php";

	start_page("Season Statistics");
	// !!! these should be set elsewhere
	$seasonId = $_GET['league'];
	
	top_navbar($seasonId);
	
	$blueSideColour = "Blue";
	$whiteSideColour = "White";
	getTableColours($seasonId, $blueSideColour, $whiteSideColour);

	$blueSide = new TableSide($blueSideColour);
	$whiteSide = new TableSide($whiteSideColour);
	// stores all the players in an associative array
	// pid is the key, and a Player object is the value
	$players = array();
	// stores all teams in an associative array
	// teams are uniquely identified by their 2 player pids, with smaller pid first, in format 123-456
	// order of players does not matter (yet?)
	// use generateTeamHash() function to get a team key from two player pids
	$teams = array();
	
	// populates the arrays of players and teams and the table side objects with all the season data
	getSeasonData($seasonId, $players, $teams, $blueSide, $whiteSide);

?>

<table width="320" border="1">
  <tr>
    <td class="title3"><strong>Total Games Played</strong></td>
    <td class="even"><div align="center"><?php print $whiteSide->games; ?></div></td>
  </tr>
</table>

<p>Vitals</p>
<table width="480" border="1">
  <tr> 
    <td width="25%" class="title3"><strong>Most Games</strong></td>
    <td width="75%" class="even">
	<?php 
		$pids = array();
		$numpids = getMostGamesPlayers( $players, $pids );
		if ($numpids == 0)
		{
			print "<em>None</em>";
		}
		for ($i = 0; $i < $numpids; $i++)
		{
			print "<a href='javascript:playerInfo(\"".$pids[$i]."\")'>".$players[$pids[$i]]->firstName . " " . $players[$pids[$i]]->lastName."</a>";
			if ( ($i+1) < $numpids )
			{
				print ", ";
			}
		}
	?>
	</td>
  </tr>
  <tr> 
    <td class="title2"><strong>Most Wins</strong></td>
    <td class="odd">
	<?php 
		$pids = array();
		$numpids = getMostWinsPlayers( $players, $pids );
		if ($numpids == 0)
		{
			print "<em>None</em>";
		}
		for ($i = 0; $i < $numpids; $i++)
		{
			print "<a href='javascript:playerInfo(\"".$pids[$i]."\")'>".$players[$pids[$i]]->firstName . " " . $players[$pids[$i]]->lastName."</a>";
			if ( ($i+1) < $numpids )
			{
				print ", ";
			}
		}
	?>
	</td>
  </tr>
  <tr> 
    <td class="title3"><strong>Most Shutouts</strong></td>
    <td class="even">
	<?php 
		$pids = array();
		$numpids = getMostShutoutsPlayers( $players, $pids );
		if ($numpids == 0)
		{
			print "<em>None</em>";
		}
		for ($i = 0; $i < $numpids; $i++)
		{
			print "<a href='javascript:playerInfo(\"".$pids[$i]."\")'>".$players[$pids[$i]]->firstName . " " . $players[$pids[$i]]->lastName."</a>";
			if ( ($i+1) < $numpids )
			{
				print ", ";
			}
		}
	?>
	</td>
  </tr>
  <tr> 
    <td class="title2"><strong>Most Goals</strong></td>
    <td class="odd">
	<?php 
		$pids = array();
		$numpids = getMostGoalsPlayers( $players, $pids );
		if ($numpids == 0)
		{
			print "<em>None</em>";
		}
		for ($i = 0; $i < $numpids; $i++)
		{
			print "<a href='javascript:playerInfo(\"".$pids[$i]."\")'>".$players[$pids[$i]]->firstName . " " . $players[$pids[$i]]->lastName."</a>";
			if ( ($i+1) < $numpids )
			{
				print ", ";
			}
		}
	?>
	</td>
  </tr>
  <tr> 
    <td class="title3"><strong>Most Avg Goals</strong></td>
    <td class="even">
	<?php 
		$pids = array();
		$numpids = getMostAvgGoalsPlayers( $players, $pids );
		if ($numpids == 0)
		{
			print "<em>None</em>";
		}
		for ($i = 0; $i < $numpids; $i++)
		{
			print "<a href='javascript:playerInfo(\"".$pids[$i]."\")'>".$players[$pids[$i]]->firstName . " " . $players[$pids[$i]]->lastName."</a>";
			if ( ($i+1) < $numpids )
			{
				print ", ";
			}
		}
	?>
	</td>
  </tr>
</table>

<p>Table Statistics</p>
<table width="320" border="1">
  <tr> 
    <td width="40%" class="even">&nbsp;</td>
    <td width="30%" class="title3"> <div align="center"><strong><?php print $whiteSide->actualColour ." Side"; ?></strong></div></td>
    <td width="30%" class="title3"> <div align="center"><strong><?php print $blueSide->actualColour ." Side"; ?></strong></div></td>
  </tr>
  <tr> 
    <td class="title2"><strong>Wins</strong></td>
    <td class="odd"> <div align="center"><?php print $whiteSide->wins . " (" . $whiteSide->getTotalWinsPercent() . "%)"; ?></div></td>
    <td class="odd"> <div align="center"><?php print $blueSide->wins . " (" . $blueSide->getTotalWinsPercent() . "%)"; ?></div></td>
  </tr>
  <tr> 
    <td class="title3"><strong>Shutouts</strong></td>
    <td class="even"> <div align="center"><?php print $whiteSide->shutouts . " (" . $whiteSide->getShutoutPercent() . "%)"; ?></div></td>
    <td class="even"> <div align="center"><?php print $blueSide->shutouts . " (" . $blueSide->getShutoutPercent() . "%)"; ?></div></td>
  </tr>
  <tr> 
    <td class="title2"><strong>Total Front Goals</strong></td>
    <td class="odd"> <div align="center"><?php print $whiteSide->frontGoals . " (" . $whiteSide->getFrontPercent() . "%)"; ?></div></td>
    <td class="odd"> <div align="center"><?php print $blueSide->frontGoals . " (" . $blueSide->getFrontPercent() . "%)"; ?></div></td>
  </tr>
  <tr> 
    <td class="title3"><strong>Total Back Goals</strong></td>
    <td class="even"> <div align="center"><?php print $whiteSide->backGoals . " (" . $whiteSide->getBackPercent() . "%)"; ?></div></td>
    <td class="even"> <div align="center"><?php print $blueSide->backGoals . " (" . $blueSide->getBackPercent() . "%)"; ?></div></td>
  </tr>
</table>

<p>Player Statistics</p>
<table width="720" border="1">
  <tr> 
    <td width="15%" class="title2"><strong>Player</strong></td>
    <td class="title2"> <div align="center"><strong>Games Played</strong></div></td>
    <td class="title2"> <div align="center"><strong>Wins / Shutouts</strong></div></td>
    <td class="title2"> <div align="center"><strong>Losses / Shutouts</strong></div></td>
    <td class="title2"> <div align="center"><strong>Total Goals / Average</strong></div></td>
    <td class="title2"> <div align="center"><strong>Front Goals / Average</strong></div></td>
    <td class="title2"> <div align="center"><strong>Back Goals / Average</strong></div></td>
    <td class="title2"> <div align="center"><strong>Odds</strong></div></td>
  </tr>
  
  <?php 
	$rowclass = "even";
	
	function cmp_player($a, $b)
	{
		return strcmp($a->lastName, $b->lastName);
	}
	uasort( $players, "cmp_player" );

	foreach (array_keys($players) as $pid) 
	{
		// print the row
		if ($rowclass == "odd")
		{
			$rowclass = "even";
		}
		else
		{
			$rowclass = "odd";
		}
		
		print "<tr>";
		print "<td class=\"$rowclass\"> <a href='javascript:playerInfo(\"".$pid."\")'>".$players[$pid]->firstName." ".$players[$pid]->lastName."</a></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$players[$pid]->getTotalGames()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$players[$pid]->getTotalWins()." (".$players[$pid]->getTotalWinsPercent()."%) / ".$players[$pid]->getShutouts()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$players[$pid]->getTotalLosses()." (".$players[$pid]->getTotalLossesPercent()."%) / ".$players[$pid]->getShutoutLosses()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$players[$pid]->getTotalGoals()." / ".$players[$pid]->getAvgGoals()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$players[$pid]->getFrontGoals()." (".$players[$pid]->getFrontGoalsPercent()."%) / ".$players[$pid]->getAvgFrontGoals()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$players[$pid]->getBackGoals()." (".$players[$pid]->getBackGoalsPercent()."%) / ".$players[$pid]->getAvgBackGoals()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$players[$pid]->getWinningOdds()."</div></td>";
		print "</tr>";
	} // for
	
	// !!! test
	//print_r($players);
  ?>
</table>

<p>Team Statistics</p>
<table width="800" border="1">
  <tr> 
    <td width="15%" class="title2"><strong>Player 1</strong></td>
    <td width="15%" class="title2"><strong>Player 2</strong></td>
    <td class="title2"> <div align="center"><strong>Games Played</strong></div></td>
	<td class="title2"> <div align="center"><strong>Wins / Shutouts</strong></div></td>
    <td class="title2"> <div align="center"><strong>Losses / Shutouts</strong></div></td>
    <td class="title2"> <div align="center"><strong>Total Goals / Average</strong></div></td>
    <td class="title2"> <div align="center"><strong>Front Goals / Average</strong></div></td>
    <td class="title2"> <div align="center"><strong>Back Goals / Average</strong></div></td>
    <td class="title2"> <div align="center"><strong>Odds</strong></div></td>
  </tr>
  
  <?php 
	$rowclass = "even";
	
	function cmp_team($a, $b)
	{
		global $players;
		return strcmp($players[$a->backPlayer]->lastName, $players[$b->backPlayer]->lastName);
	}
	uasort( $teams, "cmp_team" );

	foreach (array_keys($teams) as $tid)
	{
		$bpid = $teams[$tid]->backPlayer;
		$fpid = $teams[$tid]->frontPlayer;
		$bpFirstName = $players[$bpid]->firstName;
		$bpLastName = $players[$bpid]->lastName;
		$fpFirstName = $players[$fpid]->firstName;
		$fpLastName = $players[$fpid]->lastName;
		
		// print the row
		if ($rowclass == "odd")
		{
			$rowclass = "even";
		}
		else
		{
			$rowclass = "odd";
		}
		
		print "<tr>";
		print "<td class=\"$rowclass\"><a href='javascript:playerInfo(\"".$bpid."\")'>".$players[$bpid]->firstName." ".$players[$bpid]->lastName."</a></td>";
		print "<td class=\"$rowclass\"><a href='javascript:playerInfo(\"".$fpid."\")'>".$players[$fpid]->firstName." ".$players[$fpid]->lastName."</a></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$teams[$tid]->getTotalGames()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$teams[$tid]->getTotalWins()." (".$teams[$tid]->getTotalWinsPercent()."%) / ".$teams[$tid]->getShutouts()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$teams[$tid]->getTotalLosses()." (".$teams[$tid]->getTotalLossesPercent()."%) / ".$teams[$tid]->getShutoutLosses()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$teams[$tid]->getTotalGoals()." / ".$teams[$tid]->getAvgGoals()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$teams[$tid]->getFrontGoals()." (".$teams[$tid]->getFrontGoalsPercent()."%) / ".$teams[$tid]->getAvgFrontGoals()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$teams[$tid]->getBackGoals()." (".$teams[$tid]->getBackGoalsPercent()."%) / ".$teams[$tid]->getAvgBackGoals()."</div></td>";
		print "<td class=\"$rowclass\"> <div align=\"center\">".$teams[$tid]->getWinningOdds()."</div></td>";
		print "</tr>";
	} // foreach
	
	// !!! test
	//print_r($players);
  ?>
</table>

<p>&nbsp;</p>

<?php 
	end_page($seasonId); 
?>